<link rel = "stylesheet" id = "gtranslate-style-css" href = "https://websetnet.b-cdn.net/wp-content/plugins/gtranslate/gtranslate-style24.css" type = "text / css "media =" all ">

Jak opravit chybějící Chyba rozšíření MySQL ve WordPress


Pokud nastavujete aplikaci WordPress na novou Linux VPS poprvé se můžete setkat s některými problémy, jako je chybějící některá rozšíření PHP. Jedním příkladem je chybějící rozšíření MySQL, což je běžný problém, protože rozšíření není ve výchozím nastavení součástí mnoha operačních systémů. V tomto tutoriálu vám pomůžeme vyřešit problém s chybějící příponou a úspěšně dokončit instalaci WordPress.

Chybějící rozšíření PHP není něco, čeho byste se měli obávat. Pokud se na obrazovce zobrazí následující zpráva při pokusu o přístup do instalace WordPress prostřednictvím webového prohlížeče, jste jedním z mnoha uživatelů WordPress, kteří čelí stejnému problému.

Zdá se, že vaše instalace PHP chybí rozšíření MySQL, které je vyžadováno aplikací WordPress.

Chcete-li problém odstranit, měli byste mít přístup k serveru SSH. Připojte se k systému Linux VPS přes SSH a zkontrolujte verzi PHP, která se právě používá:

php-v

Můžete také zkontrolovat verzi PHP vytvořením jednoduchého info.php soubor ve vašem public_html adresář s následujícím obsahem:

<? php phpinfo (); ?>

Jakmile soubor vytvoříte, otevřete svůj oblíbený webový prohlížeč a otevřete soubor.

Pokud máte spuštěno Ubuntu VPS a PHP 7, potom spusťte následující příkazy:

apt-get aktualizovat apt-get install php7.0-mysql

Potom restartujte službu Apache, aby se změny projevily, nebo pokud používáte Nginx + PHP-FPM, restartujte službu PHP-FPM.

V případě, že běžíte PHP 5, spusťte následující příkazy:

apt-get aktualizovat apt-get install php-mysql

Restartujte příslušnou službu, aby se změny projevily.

Prohledávání všech dostupných balíků obsahujících mysql, můžete použít tento příkaz:

apt-cache search mysql

Na druhou stranu, pokud běžíte CentOS VPS a ty máš PHP 7 nainstalován na serveru a potom spusťte následující příkazy k vyřešení problému:

yum update yum nainstalovat php70w-mysql

Restartujte Apache nebo službu PHP-FPM v případě, že používáte webový server Nginx + PHP-FPM.

Pokud máte PHP 5 instalovaný na serveru CentOS, spusťte následující příkazy:

aktualizace yum install php-mysql

Restartujte příslušnou službu, aby se změny projevily.

Prohledávání všech dostupných balíků obsahujících mysql, můžete použít následující příkaz:

yum search mysql

Jakmile nainstalujete rozšíření MySQL pro PHP, můžete se vrátit zpět do nastavení WordPress. Pokud se instalace nezdařila, zpráva o chybějícím rozšíření by vám neměla být předložena. Nyní můžete pokračovat v nastavení aplikace WordPress.

Zdroj

Zanechat komentář